%define tag         91f70382beeb58b32432b5a82da3802e4c19199c
%define gitdate     20240908
%define camelname   OndselSolver

Name:           ondselsolver
Version:        0.0
Release:        %{?gitdate:0.git%{gitdate}.}1%{?dist}
Summary:        Assembly Constraints and Multibody Dynamics code
Group:          System/Libraries

License:        LGPL-2.1
URL:            https://github.com/Ondsel-Development/OndselSolver
Source0:        https://github.com/Ondsel-Development/OndselSolver/archive/%{tag}.tar.gz
Patch0:         0001-add-include-files.patch

BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  g++

%description
Assembly Constraints and Multibody Dynamics code
Used by FreeCAD.

%package        devel
Summary:        Development files for %{name}
Group:          Development/C++
Requires:       lib%{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package        -n lib%{name}
Summary:        Assembly Constraints and Multibody Dynamics code
Group:          System/Libraries

%description    -n lib%{name}
Assembly Constraints and Multibody Dynamics code
Used by FreeCAD.


%prep
%autosetup -n %{camelname}-%{tag} -p1

%build
%cmake -DCMAKE_INSTALL_DATAROOTDIR=%{_libdir}
%cmake_build

%install
%cmake_install

%files -n lib%{name}
%license LICENSE
%doc README.md
%{_libdir}/*.so.*

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/OndselSolver.pc


%changelog
* Sat Jan 04 2025 Jean-Marc Liger <ligenix@iscp.fr> - 0.0-0.git20240908.1
- Import for COPR EL9

* Mon Nov 04 2024 daviddavid <daviddavid> 0.0-0.git20240908.2.mga10
+ Revision: 2112382
- install pkgconfig file into "/usr/lib(64)/pkgconfig/"
- mageiaify spec file

* Sat Nov 02 2024 papoteur <papoteur> 0.0-0.git20240908.1.mga10
+ Revision: 2112202
- imported package ondselsolver

